From May 19, gateways will require an API key. Read the announcement
[
{
"header": {
"number": 280000042,
"timestamp": 1700000000
},
"tokenBalances": [
{
"transactionIndex": 3,
"account": "7kMFogLSGwpcPmxjYBYZq2F5uSJa3Fy6jhfW3GfdhGE8",
"preMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"postMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"preAmount": 1000000,
"postAmount": 500000,
"preOwner": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"postOwner": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"
}
]
}
]Returns only finalized blocks matching the query. Same request format as /stream; no chain reorganizations (no 409 responses).
[
{
"header": {
"number": 280000042,
"timestamp": 1700000000
},
"tokenBalances": [
{
"transactionIndex": 3,
"account": "7kMFogLSGwpcPmxjYBYZq2F5uSJa3Fy6jhfW3GfdhGE8",
"preMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"postMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"preAmount": 1000000,
"postAmount": 500000,
"preOwner": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"postOwner": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"
}
]
}
]Documentation Index
Fetch the complete documentation index at: https://docs.sqd.dev/llms.txt
Use this file to discover all available pages before exploring further.
Data query to filter and retrieve finalized blocks. Request body may be gzipped (Content-Encoding: gzip).
The number of the first block to fetch. If unsure how far into the past this can go consult /metadata
solana The slot number to fetch up to (inclusive). Optional; if omitted, streams until dataset height or timeout.
Expected hash of the parent of the first requested block
If true, includes blocks with no matching data
Field selector. See the HTTP 200 response description for details on fields that aren't self-explanatory
Show child attributes
Instruction data requests. Selects instructions found anywhere in the call tree, not just the top level ones. d1-d8 filter by the starting bytes of the data (in 0x-prefixed hex format); a0-a15 filter by account at the corresponding position in the accounts array; mentionsAccount filters by account mentions anywhere in the list
Show child attributes
Transaction data requests
Show child attributes
Requests for SOL balance updates
Show child attributes
Requests for token balance updates
Show child attributes
Reward data requests
Show child attributes
Logs data requests. Read https://docs.soldexer.dev/api-reference/data-notes/logs-truncation before attempting to use logs
Show child attributes
A stream of blocks in JSON lines format, optionally gzipped. Can only be empty if the data query has a bounded range and all blocks in the range have been skipped.
Show child attributes
Show child attributes
Show child attributes
Records of SOL balance updates done per transaction and account. Combines pre- and post-balance records, making one record per account
Show child attributes
Records of token balance updates done per transaction and token account. Uses data from https://solana.com/docs/rpc/json-structures#token-balances but combines pre- and post-balance records, making one record per token account
Show child attributes
Show child attributes
Read https://docs.soldexer.dev/api-reference/data-notes/logs-truncation before attempting to use logs
Show child attributes
Was this page helpful?